/*
 *  Copyright 2004 The Apache Software Foundation or its licensors, as
 *  applicable.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
 *  implied.
 *
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package gcc.generator;

/**
 * User: Mark
 * Date: Dec 21, 2004
 * Time: 3:49:45 PM
 */

public class GenException
        extends Exception
{
    public GenException()
    {
        super();
    }

    public GenException(String message)
    {
        super(message);
    }

    public GenException(Throwable cause)
    {
        super(cause);
    }

    public GenException(String message, Throwable cause)
    {
        super(message, cause);
    }
}
