/*
 *  Copyright 2004 The Apache Software Foundation or its licensors, as
 *  applicable.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
 *  implied.
 *
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package mark.comps;

import mark.AddData;

import javax.ejb.SessionContext;
import javax.ejb.EJBException;
import java.rmi.RemoteException;

public class AddImpl
        implements javax.ejb.SessionBean
{
    public int add( int a, int b )
    {
        return a + b;
    }

    public AddData addData( AddData a, AddData b )
    {
        return new AddData( a.getA() + b.getA() );
    }

    public AddData addDatas( AddData a[] )
    {
        int r = 0;
        for( int i=0; i<a.length; i++ )
        {
            r = r + a[i].getA();
        }
        return new AddData( r );
    }


    public void mVOID()
    {
    }

    public int mINT()
    {
        return (int)0;
    }

    public double mDOUBLE()
    {
        return (double)0.0;
    }

    public float mFLOAT()
    {
        return (float)0.0;
    }

    public long mLONG()
    {
        return (long)0;
    }

    public char mCHAR()
    {
        return (char)0;
    }

    public boolean mBOOLEAN()
    {
        return true;
    }

    public byte mBYTE()
    {
        return (byte)0;
    }

    public String mSTRING()
    {
        return "Hello";
    }

    public void mEXCEPTION() throws Exception
    {

    }

    public void mNONE()
    {

    }

    public void mONE( int a )
    {

    }

    public void mTWO( int a, int b )
    {

    }

    public void setSessionContext(SessionContext sessionContext) throws EJBException, RemoteException
    {
        //To change body of implemented methods use File | Settings | File Templates.
    }

    public void ejbRemove() throws EJBException, RemoteException
    {
        //To change body of implemented methods use File | Settings | File Templates.
    }

    public void ejbActivate() throws EJBException, RemoteException
    {
        //To change body of implemented methods use File | Settings | File Templates.
    }

    public void ejbPassivate() throws EJBException, RemoteException
    {
        //To change body of implemented methods use File | Settings | File Templates.
    }
}
