/*
 *  Copyright 2004 The Apache Software Foundation or its licensors, as
 *  applicable.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
 *  implied.
 *
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package mark.comps;

import mark.AddData;
import mark.AddData;
import mark.AddData;

public interface Add
    extends javax.ejb.EJBObject     // must be a subclass of java.rmi.Remote
{
    public int add( int a, int b ) throws java.rmi.RemoteException;

    public AddData addData( AddData a, AddData b ) throws java.rmi.RemoteException;
    public AddData addDatas( AddData a[] ) throws java.rmi.RemoteException;

    public void mVOID() throws java.rmi.RemoteException;
    public int mINT() throws java.rmi.RemoteException;
    public double mDOUBLE() throws java.rmi.RemoteException;
    public float mFLOAT() throws java.rmi.RemoteException;
    public long mLONG() throws java.rmi.RemoteException;
    public char mCHAR() throws java.rmi.RemoteException;
    public boolean mBOOLEAN() throws java.rmi.RemoteException;
    public byte mBYTE() throws java.rmi.RemoteException;
    public String mSTRING() throws java.rmi.RemoteException;

    public void mEXCEPTION()  throws java.rmi.RemoteException;

    public void mNONE() throws java.rmi.RemoteException;
    public void mONE( int a ) throws java.rmi.RemoteException;
    public void mTWO( int a, int b ) throws java.rmi.RemoteException;
}
